Developers
API ReferenceCurrency Dictionary

Retrieves the collection of CurrencyDictionary resources.

GET
/finance/currency-dictionaries

Retrieves the collection of CurrencyDictionary resources.

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Query Parameters

order[name]?string
Default"asc"
Value in"asc""desc"
order[code]?string
Default"asc"
Value in"asc""desc"
order[isDefault]?string
Default"asc"
Value in"asc""desc"
code?string
name?string
isDefault?boolean
isDefault[]?array<boolean>

Response Body

CurrencyDictionary collection

  1. response
[index: integer]?
Example Request
curl -X GET 'https://app.icproject.com/api/instance/demo/finance/currency-dictionaries'
Example Response
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "code": "str",    "isDefault": false  }]